#include <iostream>
#include <stdlib.h>
using namespace std;

class card {
	char *title;
	char *author;
	int stockcount;
public:
	void store(char *title,char *author,int stockcount);
	void show();
};

void card::store(char *title,char *author,int stockcount)
{
	this->title = (char*)malloc(strlen(title) + 1);
	strcpy(this->title, title);
	this->author = (char*)malloc(strlen(author) + 1);
	strcpy(this->author, author);
	this->stockcount = stockcount;
}

void card::show()
{
	cout << "{僞僀僩儖}:" << title << " {挊幰}:" << author << " {嵼屔悢}:" << stockcount << "\n";
}

int main(){
	card c1,c2;
	c1.store("撈廗C++", "僴乕僶乕僩丒僔儖僩", 3);
	c2.store("弶抜+僾儔僗偺媗彨婝", "塇惗慞帯", 1);
	
	c1.show();
	c2.show();
	
	return 0;
}